Update the work schedule section for a given employee id.

This endpoint updates the employee work schedule section for a given employee id. The operation only updates the fields provided in the body.

Automatic recalculation:

  • If any working day field (mondayWorkingDay, ..., sundayWorkingDay) is modified, the system automatically recalculates and updates the employee's weeklyDays field in the work section based on the total number of TRUE values.
  • This ensures consistency between the work schedule configuration and the contracted weekly days count.
Path Params
string
required

The _id of the employee to update.

Body Params
boolean

Allow to indicate if mondays are working days for the employee.

boolean

Allow to indicate if tuesdays are working days for the employee.

boolean

Allow to indicate if wednesdays are working days for the employee.

boolean

Allow to indicate if thursdays are working days for the employee.

boolean

Allow to indicate if fridays are working days for the employee.

boolean

Allow to indicate if saturdays are working days for the employee.

boolean

Allow to indicate if sundays are working days for the employee.

Headers
string
required

A valid bearer token.

Responses

401

UNAUTHORIZED. The Authorization header is incorrect, not provided or the token expired.

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json